Mailinglist Archive: opensuse-factory (115 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20201104 released!
  • From: Dominique Leuenberger <dimstar@xxxxxxx>
  • Date: Fri, 06 Nov 2020 10:00:43 +0000
  • Message-id: <160465684309.24031.15427200552053080244@go-agent-stagingbot-6>

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20201104

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
PackageKit
chrony
corosync
drbd
edict (20191016 -> 20201102)
gcc10 (10.2.1+git583 -> 10.2.1+git872)
git (2.29.1 -> 2.29.2)
glibc
hplip
kernel-firmware (20201005 -> 20201023)
libqt5-qtbase
libreoffice (7.0.2.2 -> 7.0.3.1)
libvirt
libxml2
libyui-ncurses (2.57.1 -> 2.57.2)
llvm10
llvm11 (10.0.1 -> 11.0.0)
lzfse
mpc (1.2.0 -> 1.2.1)
nfs-utils
nodejs14 (14.14.0 -> 14.15.0)
openpgm
opie
osinfo-db (20200813 -> 20201015)
ovmf
pciutils
perl (5.30.3 -> 5.32.0)
perl-Net-DNS (1.27 -> 1.28)
php7 (7.4.11 -> 7.4.12)
plasma5-disks (5.20.1 -> 5.20.2)
plasma5-thunderbolt (5.20.1 -> 5.20.2)
plymouth
postgresql13
procmail
python-cryptography (3.0 -> 3.2.1)
python-libxml2
python-sip
qpdf (10.0.1 -> 10.0.3)
redis (6.0.8 -> 6.0.9)
rsyslog (8.2008.0 -> 8.2010.0)
rubygem-bootsnap (1.4.8 -> 1.4.9)
rubygem-puma (5.0.0 -> 5.0.4)
rubygem-rubocop (0.92.0 -> 1.1.0)
rubygem-rubocop-ast (0.5.0 -> 1.1.0)
rubygem-zeitwerk (2.4.0 -> 2.4.1)
sendmail
systemd-default-settings (0.2 -> 0.4)
timezone (2020a -> 2020d)
timezone-java (2020a -> 2020d)
transactional-update (2.28 -> 2.28.2)
tumbler
vulkan-loader (1.2.154 -> 1.2.154.1)
wireshark (3.2.7 -> 3.2.8)
xen (4.14.0_08 -> 4.14.0_10)
xfdesktop (4.14.2 -> 4.14.3)
xfwm4 (4.14.5 -> 4.14.6)
yast2-firewall (4.3.8 -> 4.3.9)
yast2-installation (4.3.19 -> 4.3.20)
yast2-security (4.3.3 -> 4.3.4)
zypp-plugin

=== Details ===

==== PackageKit ====
Subpackages: PackageKit-backend-zypp PackageKit-gstreamer-plugin
PackageKit-gtk3-module PackageKit-lang libpackagekit-glib2-18
typelib-1_0-PackageKitGlib-1_0

- Add PackageKit-bsc1169739.patch: main: notify the service manager
when it's beginning to shutdown
(gh#/hughsie/PackageKit/commit/d8dd484d, bsc#1169739).
- Replace $DISABLE_RESTART_ON_UPDATE=yes with
%service_del_postun_without_restart
Use of $DISABLE_RESTART_ON_UPDATE is deprecated.

==== chrony ====
Subpackages: chrony-pool-openSUSE

- By default we don't write log files but log to journald, so
only recommend logrotate.

==== corosync ====
Subpackages: libcfg6 libcmap4 libcorosync_common4 libcpg4 libquorum5

- (Again) Fix bsc#1163460 Corosync does not support link-local IPv6 addresses
Added: bug-1163460-totemip-Add-support-for-sin6_scope_id.patch
Reason: This time the path will NOT cause problems when doing rolling
upgrade, see bsc#1168771

==== drbd ====
Subpackages: drbd-kmp-default

- bsc#1178388, build error with -Wreturn-type
Add patch fix-err-of-wrong-return-type.patch

==== edict ====
Version update (20191016 -> 20201102)
Subpackages: edict2 jmdict

- Update to snapshot 20201102
* No changelog recorded.

==== gcc10 ====
Version update (10.2.1+git583 -> 10.2.1+git872)
Subpackages: cpp10 gcc10-info gcc10-locale libasan6 libatomic1 libgcc_s1
libgcc_s1-32bit libgfortran5 libgomp1 libitm1 liblsan0 libobjc4 libquadmath0
libstdc++6 libstdc++6-32bit libstdc++6-devel-gcc10 libstdc++6-locale
libstdc++6-pp-gcc10 libstdc++6-pp-gcc10-32bit libtsan0 libubsan1

- Update to gcc-10 branch head (a78cd759754c92cecbf235ac9b), git872.
- Build complete set of multilibs for arm-none target [bsc#1106014]
* Fixes inadvertant mixture of ARM and Thumb instructions in linker output

==== git ====
Version update (2.29.1 -> 2.29.2)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.29.2: "--committer-date-is-author-date" option of "rebase"
and "am" subcommands lost the e-mail address by mistake in 2.29

==== glibc ====
Subpackages: glibc-32bit glibc-devel glibc-extra glibc-lang glibc-locale
glibc-locale-base nscd

- Use --enable-cet on x86_64 to instrument glibc for indirect branch
tracking and shadow stack use. Enable indirect branch tracking
and shadow stack in the dynamic loader. [jsc#PM-2110] [bsc#1175154]

==== hplip ====
Subpackages: hplip-hpijs hplip-sane

- Fixed bugzilla link (bsc#1177527)

==== kernel-firmware ====
Version update (20201005 -> 20201023)
Subpackages: kernel-firmware-all kernel-firmware-amdgpu kernel-firmware-ath10k
kernel-firmware-atheros kernel-firmware-bluetooth kernel-firmware-bnx2
kernel-firmware-brcm kernel-firmware-chelsio kernel-firmware-dpaa2
kernel-firmware-i915 kernel-firmware-intel kernel-firmware-iwlwifi
kernel-firmware-liquidio kernel-firmware-marvell kernel-firmware-media
kernel-firmware-mediatek kernel-firmware-mellanox kernel-firmware-mwifiex
kernel-firmware-network kernel-firmware-nfp kernel-firmware-nvidia
kernel-firmware-platform kernel-firmware-prestera kernel-firmware-qlogic
kernel-firmware-radeon kernel-firmware-realtek kernel-firmware-serial
kernel-firmware-sound kernel-firmware-ti kernel-firmware-ueagle
kernel-firmware-usb-network ucode-amd

- Update to version 20201023 (git commit dae4b4cd0841):
* cypress: add Cypress firmware and clm_blob files
* rtl_bt: Update RTL8821C BT FW to 0xAA6C_A99E
* ath10k: add SDIO firmware for QCA9377 WiFi
* ice: update package file to 1.3.16.0
* mediatek: separate venc service thread
* QCA : Updated firmware file for WCN3991
* iwlwifi: update and add new FWs from core56-54 release
* iwlwifi: update 3168, 7265D, 8000C and 8265 firmwares
* i915: Add DG1 DMC v2.02
* qcom : updated venus firmware files for v5.4
- Add _constraints to fix the build error (bsc#1178242)

==== libqt5-qtbase ====
Subpackages: libQt5Concurrent5 libQt5Core5 libQt5DBus5 libQt5Gui5
libQt5Network5 libQt5OpenGL5 libQt5PrintSupport5 libQt5Sql5 libQt5Sql5-mysql
libQt5Sql5-sqlite libQt5Test5 libQt5Widgets5 libQt5Xml5
libqt5-qtbase-platformtheme-gtk3

- Disable -reduce-relocations for now (boo#1175278, QTBUG-86173)

==== libreoffice ====
Version update (7.0.2.2 -> 7.0.3.1)
Subpackages: libreoffice-base libreoffice-base-drivers-firebird
libreoffice-calc libreoffice-draw libreoffice-filters-optional
libreoffice-gnome libreoffice-gtk3 libreoffice-icon-themes libreoffice-impress
libreoffice-l10n-cs libreoffice-l10n-da libreoffice-l10n-de libreoffice-l10n-el
libreoffice-l10n-en libreoffice-l10n-en_GB libreoffice-l10n-es
libreoffice-l10n-fr libreoffice-l10n-hu libreoffice-l10n-it libreoffice-l10n-ja
libreoffice-l10n-pl libreoffice-l10n-pt_BR libreoffice-l10n-ru
libreoffice-l10n-zh_CN libreoffice-l10n-zh_TW libreoffice-mailmerge
libreoffice-math libreoffice-pyuno libreoffice-qt5 libreoffice-writer
libreofficekit

- Update to 7.0.3:
* .3 bugfix release of 7.0 series

==== libvirt ====
Subpackages: libvirt-bash-completion libvirt-client libvirt-daemon
libvirt-daemon-driver-interface libvirt-daemon-driver-libxl
libvirt-daemon-driver-lxc libvirt-daemon-driver-network
libvirt-daemon-driver-nodedev libvirt-daemon-driver-nwfilter
libvirt-daemon-driver-qemu libvirt-daemon-driver-secret
libvirt-daemon-driver-storage libvirt-daemon-driver-storage-core
libvirt-daemon-driver-storage-disk libvirt-daemon-driver-storage-iscsi
libvirt-daemon-driver-storage-iscsi-direct
libvirt-daemon-driver-storage-logical libvirt-daemon-driver-storage-mpath
libvirt-daemon-driver-storage-rbd libvirt-daemon-driver-storage-scsi
libvirt-daemon-lxc libvirt-daemon-qemu libvirt-daemon-xen libvirt-libs

- Drop use of $DISABLE_RESTART_ON_UPDATE in %postrans
Testing "$DISABLE_RESTART_ON_UPDATE != yes" had no effect since its
value is supposed to be read from /etc/sysconfig/services.

==== libxml2 ====
Subpackages: libxml2-2 libxml2-2-32bit libxml2-tools

- Make python subpackage ready for multiple python3 flavors
gh#openSUSE/python-rpm-macros#66

==== libyui-ncurses ====
Version update (2.57.1 -> 2.57.2)

- Explicitly set item and line index in NCMultiSelectionBox and
NCSelectionBox (bsc#1177982, bsc#1177985)
- 2.57.2

==== llvm10 ====
Subpackages: clang10 clang10-doc libLLVM10 libLTO10 libclang10

- Don't build clang-tools, libc++ and python3-clang anymore,
because they come from llvm11 now (boo#1168935).
- Remove version requirement from clang-tools dependency.
- Give riscv64 jobs a bit more disk space.

==== llvm11 ====
Version update (10.0.1 -> 11.0.0)
Subpackages: clang-tools libc++-devel libc++1 libc++abi-devel libc++abi1

- Disable ThinLTO on aarch64 because of hangs. (boo#1178070)
- Enable ThinLTO on ppc64 and ppc64le, the internal error is gone.
- Update to version 11.0.0.
* For details, see the release notes:
- https://releases.llvm.org/11.0.0/docs/ReleaseNotes.html
- https://releases.llvm.org/11.0.0/tools/clang/docs/ReleaseNotes.html
-
https://releases.llvm.org/11.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
- https://releases.llvm.org/11.0.0/projects/libcxx/docs/ReleaseNotes.html
- https://releases.llvm.org/11.0.0/tools/lld/docs/ReleaseNotes.html
* New LLVM tools: llvm-gsymutil, llvm-ml.
* clang-import-test was removed.
- Drop obsolete patches:
* clang-ignore-stack-clash-protector.patch
* fix-atomics-test.patch
* restore-llvm10-abi.patch
- Rebase patches:
* clang-resourcedirs.patch
* default-to-i586.patch
* link-clang-shared.patch
* link-clang-tools-extra-shared.patch
* lldb-cmake.patch
* llvm-do-not-install-static-libraries.patch
* lto-disable-cache.patch
- Add llvm-exegesis-link-dylib.patch: link llvm-exegesis with
libLLVM.so, the advanced functionality is not available anyway.
- Remove -fstack-clash-protection on architectures where it isn't
actually supported, because that prevents feature detection.
- Make sure we also build AttributeReference for the documentation.
This requires building via CMake. Also shorten the paths.
- Add ld.lld as an alternative for ld. (boo#1174656)
- Update to version 10.0.1.
* This release contains bug-fixes for the LLVM 10.0.0 release.
This release is API and ABI compatible with 10.0.0.
- Rebase llvm-do-not-install-static-libraries.patch.
- Replace ValueLattice-Add-new-state-for-undef-constants.patch,
which landed upstream in a modified version, by
restore-llvm10-abi.patch that resets the ABI to our 10.0.0.
- Rewrite lld-default-sha1.patch to be version-independent.
- Set flags consistently, so that we don't lose -DNDEBUG on 32-bit
architectures. Also we don't need the opt flags twice. This leads
to a significant reduction in binary sizes on 32-bit arches.
- Make it easier to package release candidates.
- Enable most tests on 32-bit ARM, but not for libcxx.
- Add fix-atomics-test.patch for architectures where native atomics
are not available.
- Lower build constraints for riscv64 a bit to allow building on
more workers.
- Allow more compile jobs in stage 2.
- Factor out computation of the number of jobs into a macro.
- Choose mem_per_compile_job dependent on build stage, let stage 1
on x86_64 use more memory.
- More generous memory allocation on riscv64.
- Add lld-default-sha1.patch to make lld generate SHA1 build-ids by
default, otherwise our tools cannot process the debuginfo.
- Update to version 10.0.0.
* For details, see the release notes:
- https://releases.llvm.org/10.0.0/docs/ReleaseNotes.html
- https://releases.llvm.org/10.0.0/tools/clang/docs/ReleaseNotes.html
-
https://releases.llvm.org/10.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
- https://releases.llvm.org/10.0.0/projects/libcxx/docs/ReleaseNotes.html
- https://releases.llvm.org/10.0.0/tools/lld/docs/ReleaseNotes.html
* New LLVM tools: llvm-ifs, llvm-install-name-tool, llvm-reduce.
* New Clang tools: clang-move, clang-offload-wrapper, pp-trace.
* lldb-mi moved to a separate project and is no longer available.
- Dropped obsolete patches:
* clang-fix-powerpc-triplet.patch
* clang-riscv64-rv64gc.diff
* compiler-rt-move-fdp.patch
* compiler-rt-sanitizer-ipc-perm.patch
* D60657-riscv-pcrel_lo.diff
* gwp-asan-lto.patch
* libcxx-tests-linux-distribution.patch
* link-lldb-shared.patch
* llvm-riscv64-fix-cffi.diff
* openmp-export-fini.patch
* riscv-eh-frame-fixup.patch
* riscv64-suse-linux.patch
- Rebased patches:
* assume-opensuse.patch
* link-clang-tools-extra-shared.patch
* lldb-cmake.patch
* llvm_build_tablegen_component_as_shared_library.patch
* llvm-do-not-install-static-libraries.patch
* llvm-remove-clang-only-flags.patch
* lto-disable-cache.patch
* polly-pthread.patch
* tests-use-python3.patch
- Add tablegen-test-link-static.patch: fix TableGenTests.
- Add ValueLattice-Add-new-state-for-undef-constants.patch: fix
miscompilation on ppc64/s390x that was leading to test crashes.
- Enable ThinLTO on aarch64.
- Disable ThinLTO on ppc64le due to internal error in gold.
- Delete object files and static libraries from build tree in
%install already, because debuginfo extraction happens after
that. If we do it after %check, we run out of disk space.
- Run tests "manually", because we've already removed many targets.
- Don't build unit tests, because some of them are now statically
linked, which is very expensive with LTO. Also unit tests are
probably not very interesting on the distribution level, we don't
expect them to perform different than in upstream. The relevant
upstream change for this is https://reviews.llvm.org/D54439.
- Drop %if for openSUSE 13.2.
- Remove conflicts of clang-tools with {clang,llvm}{7,8}: the
relevant binaries have been removed from those packages. This
allows having clang-tools together with older versions of llvm.
For a smooth installation we add OrderWithRequires dependencies.
- Fix typos in (still inactive) !%{with clang_scripts} part.
- Require clang-tools for clangX-devel.
- Move all clang-related scripts (including those originally in
clangX-checker), hmaptool and clang-doc into a common
unversioned subpackage clang-tools, like python3-clang.
The scripts reference the unversioned executables, so allowing
multiple versions via update-alternatives would be misleading.
The clang-doc executable will come with assets in Clang 10, so
we have to take it out of update-alternatives as well.
This should be the proper solution to boo#1161873.
- Include run-find-all-symbols script in clang-tools.
- Remove metadata for clangX-include-fixer subpackage that never
had any files and thus wasn't released as rpm. There are so many
clang binaries that packaging them separately doesn't scale.
- Fix lldb version string, adapt lldb-cmake.patch (boo#1165517).
- Remove unneccesary libtool dependency.
- Don't let clang depend on libc++, we link it with libstdc++.
- Recommend gold plugin if clang and gold are installed.
- Add vim-plugin-llvm Conflicts to clang subpackage which now
contains files formerly in llvmN-vim-plugins, conflicting with
packages from older llvm releases.
- Add back emacs-llvm Provides and Conflicts to clang subpackage
originally in llvm-emacs-plugins to properly conflict with
llvm-emacs-plugins from older llvm releases.
- Add clang5-devel to clang9-doc conflicts.
- Add compiler-rt-sanitizer-ipc-perm.patch: Fix sanitizer-common
build with glibc 2.31.
- Move clang-{format,include-fixer,rename}.{el,py} files from
llvm-*-plugins to clang package. (boo#1161873)
- Drop the now empty llvm-emacs-plugins package.
- Add polly and lld build conditionals, remove excessive Requires
to clang from docs. Fix conditional for libc++ use.
[jsc#SLE-7400, jsc#SLE-7614, jsc#SLE-7452, jsc#SLE-8920, jsc#SLE-7390,
jsc#SLE-7587]
- Undo spec-cleaner changes that we don't want.
* Reintroduce blank lines in configuration.
* Use packageand syntax that works for older versions of RPM.
* Don't use %{_bindir} on left-hand side of sed replacements.
- riscv-eh-frame-fixup.patch: Remove changesets that alter the libLLVM ABI
- Add upstream patch to export compiler-rt FuzzedDataProvider header,
required by Envoy 1.12.2:
* compiler-rt-move-fdp.patch
- riscv-eh-frame-fixup.patch: Fix handling of .eh_frame on RISC-V
- polly-pthread.patch: Add missing -lpthread
- Enable support for riscv64
- clang-riscv64-rv64gc.diff, riscv64-suse-linux.patch,
llvm-riscv64-fix-cffi.diff, D60657-riscv-pcrel_lo.diff: Backports from
master
- Update to version 9.0.1.
* This release contains bug-fixes for the LLVM 9.0.0 release.
This release is API and ABI compatible with 9.0.0.
- Drop patches that have landed upstream:
* dont-install-example-analyzer-plugins.patch
* fix-module-test.patch
* llvm-add-missing-include.patch
- Drop set-revision.patch, don't provide revision number in clang.
The upstream repository has moved from Subversion to git, so the
revision number is just a hash, which limits its usefulness.
- Rebase llvm-do-not-install-static-libraries.patch.
- Modify libcxx-tests-linux-distribution.patch to remove dependency
on python-distro again: we don't have expected failures.
- Add llvm-add-missing-include.patch in order to fix
boo#1158367.
- Add gwp-asan-lto.patch: Make sure there are no LLVM IR files in
static libraries that we package.
- Add libcxx-tests-linux-distribution.patch (boo#1158293):
Replace platform.linux_distribution by distro.linux_distribution.
- Make documentation packages noarch.
- Add openmp-export-fini.patch: Export termination function for
libomp.so, solves boo#1155108.
- Remove flaky test case in libcxx.
- Fix typo, BOLL -> BOOL
- Let new {llvm,clang}*-doc packages "Conflict" with older devel
packages, which they were split from.
- Let doc packages conflict with older versions of themselves.
- (Build)Require only python3-base instead of full python3 package,
the additional modules are not required. Helps shortening the
build dependency chain.
- Remove python3-* requires from lldb9 subpackage, and add it to
the bindings/pretty-printer subpackage (python3-lldb9).
- Add python3-base Requires to python3-clang subpackage
- Add dont-install-example-analyzer-plugins.patch: Remove example
analyzer plugins from install targets instead of deleting them.
- Add fix-module-test.patch: fix test instead of deleting it.
- Don't build static libc++ (with ThinLTO that's not useful anyway).
- Don't build libc++experimental.
- Don't package libc++abi.so with libc++-devel, it's already contained
in the (required) libc++abi-devel.
- Be more specific about files in libc++-devel.
- Update to version 9.0.0.
* For details, see the release notes:
- https://releases.llvm.org/9.0.0/docs/ReleaseNotes.html
- https://releases.llvm.org/9.0.0/tools/clang/docs/ReleaseNotes.html
-
https://releases.llvm.org/9.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
- https://releases.llvm.org/9.0.0/projects/libcxx/docs/ReleaseNotes.html
- https://releases.llvm.org/9.0.0/tools/lld/docs/ReleaseNotes.html
- Change License to "Apache-2.0 WITH LLVM-exception OR NCSA".
(https://llvm.org/foundation/relicensing/)
- Allow building with ThinLTO and enable it on some architectures.
- Disable LTO cache in lto-disable-cache.patch.
- Unset MALLOC_CHECK_ for compilation to mitigate lock contention.
- No debug info for ppc like for the other 32-bit targets.
- Clean up _constraints: same constraints for 32-bit targets.
- Don't use BUILD_SHARED_LIBS for Clang anymore, since the newly
available libclang-cpp.so should expose the full C++ API.
- Link tools with libclang-cpp.so by using CLANG_LINK_CLANG_DYLIB,
similar to LLVM_BUILD_LLVM_DYLIB for libLLVM.so.
- Remove obsolete n_clang_allow_BUILD_SHARED_LIBRARY.patch.
- Add link-clang-shared.patch to link more clang targets with
libclang-cpp.so, especially libclang.so.
- Add link-clang-tools-extra-shared.patch, link-lldb-shared.patch:
link targets in clang-tools-extra and lldb with libclang-cpp.so.
- Simplify llvm-do-not-install-static-libraries.patch, also handle
Clang, for which we now get static libraries.
- Package documentation for llvm and clang separately, recommend
them for the main package: they are not required for development,
but actually useful for working with the non-devel packages.
- Recommend editor plugins not just for llvm-devel.
- Recommend libstdc++ for Clang again.
- Move diagtool from llvm to clang subpackage.
- Properly distinguish between %{_relver} and %{version}.
- Drop aarch64-disable-memorytest.patch and reactivate test.
- Rebase clang-resourcedirs.patch.
- Rebase llvm-normally-versioned-libllvm.patch.
- Rebase llvm-remove-clang-only-flags.patch.
- Rebase llvm_build_tablegen_component_as_shared_library.patch.
- Rebase set-revision.patch.
- Increase disk space for build.
- Make lldb recommend python3-lldb (it contains pretty printers).
- Use python3 shebangs everywhere (boo#1146533).
- Drop obsolete opt-viewer-Do-not-require-python-2.patch.
- Remove unneccesary dependencies:
* groff, bison and flex don't seem to be used.
* jsoncpp is no longer used since r338461.
* Move some BuildRequires to subpackages.
* Don't recommend scan-{build,view} in clang (boo#1145444).
* Devel packages are only required in other devel packages,
when their headers are included in the installed headers.
- Add versions to Provides/Conflicts except for files.
- Remove unused (since r268685) CMake flags LLVM_ENABLE_TIMESTAMPS.
- Fix installation of opt-viewer files when python3-clang is no
longer built.
- Update to version 8.0.1.
* This release contains bug-fixes for the LLVM 8.0.0 release.
This release is API and ABI compatible with 8.0.0.
- Don't run LLVM tests on ppc at all because of sporadic hangs.
- Increase RAM for armv6/7 to avoid OOM and be scheduled on fast
worker
- Use the documented LLVM_ENABLE_RTTI to enable RTTI instead of
LLVM_REQUIRES_RTTI, which "is an internal flag that individual
targets can use to force RTTI". (boo#1139584)
- Drop obsolete llvm-build-tests-with-rtti.patch.
- Exclude riscv64 for now since it fails to build.
- Change some groups:
* put libraries in System/Libraries,
* devel packages in Development/Libraries,
* clang in Development/Languages/C and C++,
* the gold plugin in Development/Tools/Building.
- Add some URLs, use https:// when possible.
- Remove unneeded devel dependencies.
- Only suggest a C++ standard library for clang. It's also a
C compiler and needs no C++ library when only used as such.
- Fix Supplements for editor plugins.
- Fix some rpmlint issues:
* Reword summary and description for Polly.
* Fix /usr/bin/env shebangs.
* Remove executable bit where not needed.
* Move bash completion to /usr.
* Remove hard dependency of libclang8 to libstdc++-devel.
- Make rpm macros work properly.
- Remove sources from documentation.
- Run %fdupes on the right directories.
- Enable tests for libcxx.
- Reduce memory requirements for compile jobs depending on arch.
- Avoid relocation overflow on ppc by not building GPU backends.
- Update baselibs.conf.
- Disable LTO (boo#1133254).
- Fix packaging on ppc: the sanitizers aren't available there, so
the directories /usr/lib/clang/*/{lib,share} are missing.
- Package LLVMgold even when we don't use gold for linking.
It's promised in /usr/lib/cmake/llvm/LLVMExports.cmake.
- Unignore test failures on PowerPC64 architectures. The failures
in ppc are unrelated to AMDGPU, so we remove that remark.
- Fix dependencies: the gold plugin shouldn't depend on llvm-devel.
libc++abi-devel should depend on libc++abi.
- Fix typo.
- Enable libc++ on ARM (Needed for tensorflow)
- Update to 8.0.0
* For details, see the release notes:
https://llvm.org/releases/8.0.0/docs/ReleaseNotes.html
https://llvm.org/releases/8.0.0/tools/clang/docs/ReleaseNotes.html

https://llvm.org/releases/8.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
https://llvm.org/releases/8.0.0/tools/lld/docs/ReleaseNotes.html
- Drop llvm-unittests-Don-t-install-TestPlugin.so.patch,
llvm-drop-llvm-optional-clang-specific-optimization.patch,
llvm-D51108.patch,
llvm-Ensure-that-variant-part-discriminator-is-read-by-Me.patch,
llvm-test-Fix-Assembler-debug-info.ll.patch
* Already included upstream
- Add 0001-CMake-Add-install-targets-for-utilities-to-LLVM-expo.patch
- Remove -fno-strict-aliasing, which upstream doesn't use any more
since r245304 in 2015. (http://reviews.llvm.org/D12036)
It's probably also not needed for modern versions of GCC.
It was enabled in r105644 because of some bugs there.
- Add a clang-%{_sonum} symlink, which is referenced by
/usr/lib64/cmake/clang/ClangTargets.cmake (boo#1120098)
- Package clang builtin headers with libclang. The library is
basically unusable without the builtin headers. Currently
consumers of libclang have to require clang as well, although
only the headers are needed.
- llvm-Ensure-that-variant-part-discriminator-is-read-by-Me.patch,
llvm-test-Fix-Assembler-debug-info.ll.patch
* Fix crash in rustc (boo#1126907)
- Allow use of Gold linker to be conditional
- Disable Gold linker on ppc
+ LLVM currently doesn't build with Gold on ppc
- Readd clang-7 and clang++-7 symlinks
* Fixes uses of clang-devel (boo#1120098)
- Update to llvm 7.0.1
* This release contains bug-fixes for the LLVM 7.0.0 release.
This release is API and ABI compatible with 7.0.0.
- enable gold unconditionally like with llvm6 and older
- reenable openmp support again for aarch64 (like it was already in llvm6)
- Use %license macro
- Use upstream-recommended %{_rpmconfigdir}/macros.d directory
for the rpm macros.
- Remove ppc from Exclude field in spec file
- Allow use of Gold linker to be conditional
- Disable Gold linker on ppc
- Add patch to fix SUSE GNU triplet on ppc
* clang-fix-powerpc-triplet.patch
- Add patch from upstream to fix ABI issue on ppc
* llvm-D51108.patch
- Limit list of enabled targets on ppc
* PowerPC;AMDGPU;BPF;NVPTX
- Ignore testsuite failures on ppc
- llvm-drop-llvm-optional-clang-specific-optimization.patch
* Fix ABI incompatibility when libLLVM (built with clang) is
linked to a program build with gcc. (boo#1119092)
- opt-viewer-Find-style-css-in-usr-share.patch
* Make sure opt-viewer installed in /usr/bin can find resources
from /usr/share/opt-viewer. (boo#1112730)
- llvm-unittests-Don-t-install-TestPlugin.so.patch
* It is only used for testing and is causing failures when
processing LLVMExports.cmake.
- Update to llvm 7.0.0
* For details, see the release notes:
https://llvm.org/releases/7.0.0/docs/ReleaseNotes.html
https://llvm.org/releases/7.0.0/tools/clang/docs/ReleaseNotes.html

https://llvm.org/releases/7.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
https://llvm.org/releases/7.0.0/tools/lld/docs/ReleaseNotes.html
- Remove no longer needed patches:
* llvm6-fix-gdb-index-crash.patch
* lldb-fix-build-with-python-3.7.patch
* lldb-add-pthread-dl-libs.patch
* polly-cmake-Trust-pkg-config-in-FindJsoncpp.patch
- Add tests-use-python3.patch
* Prevents tests from failing because of missing python 2.
- Add llvm-better-detect-64bit-atomics-support.patch
* Fixes build on i586.
- Updated llvm-remove-clang-only-flags.patch
- Exclude also "-Werror=unguarded-availability-new" (bsc#1106000)
- Update to llvm 6.0.1
* This release contains bug-fixes for the LLVM 6.0.0 release. It
is API and ABI compatible with 6.0.0.
- Remove no longer needed llvm6-fix-InstCombine.patch
- Add lldb-fix-build-with-python-3.7.patch
* Fix build with python 3.7
- llvm6-fix-gdb-index-crash.patch
* From upstream, fix lld --gdb-index crash.
- Do not requires gcc6 for older sle versions.
* llvm6 is not built on <= 12 SP3 and this was preventing build
on 12 SP4.
- llvm_build_tablegen_component_as_shared_library.patch
* Build TableGen component as its own shared library because it
is not included in the libLLVM library and is needed for ldc.
(bsc#1086445)
- Add patch llvm6-fix-InstCombine.patch to fix InstCombine init
* Will be fixed in 6.0.1 release
- Do not build stage1 with debug info. It was accidentally added
with the use of %optflags. This should fix out of memory errors
on 32bit architectures and speed up build everywhere else.
(bsc#1092697)
- llvm-build-tests-with-rtti.patch
* Fixes build failure with gcc 8. (bnc#1087136)
- Do not export Polly static libraries which we do not distribute.
* Updated llvm-do-not-install-static-libraries.patch
- Use external jsoncpp instead of the bundled one.
* Added polly-cmake-Trust-pkg-config-in-FindJsoncpp.patch
- llvm6-devel must require llvm6-polly-devel
* Files in llvm6-devel reference Polly.
- Update to llvm 6.0.0
* Added polly
* Notable changes:
- Retpoline Spectre variant 2 mitigation
- GlobalISel by default for AArch64 at -O0
- improved scheduling on several x86 micro-architectures
- Clang defaults to -std=gnu++14 instead of -std=gnu++98
- support for some upcoming C++2a features
- improved optimizations, new compiler warnings, many bug
fixes, and more.
- Use alternatives for clang's bash autocomplete to prevent
conflicts with other versions.
- Remove liblldb5 and lldb5-devel from baselibs.conf. They are only
build for x86_64, so no point having them in baselibs.conf.
- Use %optflags, except for FORTIFY_SOURCE which is not compatible
with compiler-rt.
- Exclude static libraries differently.
* Drop llvm-split-static-library-exports-into-their-own-export-file.diff
* Drop clang-split-static-library-exports-into-their-own-export-file.diff
* Update llvm-do-not-install-static-libraries.patch to not use
EXCLUDE_FROM_ALL which is not available in cmake 3.5.
- This fixes build on SLE12.
- Do not force gcc6 on OpenSUSE - fixes build.
- Reduce the amount of concurent link jobs by increasing their
memory requirement - to reduce stalls in OBS.
- Cleanup %ifarch conditions, remove targets unintentionally added
to s390/s390x. (bnc#1078436)
- Limit the amount of parallel link jobs, but no longer limit
compile jobs. This should prevent running out of memory during
linking while not longer slowing down compilation.
- Remove build dependency on procps
- Reduce disk size requirement to 30GB in _constraints. We no
longer need that much since we stopped building static libraries.
- n_clang_allow_BUILD_SHARED_LIBRARY.patch
* Allow buildling clang with BUILD_SHARED_LIBRARY while the rest
is built with LLVM_LINK_LLVM_DYLIB. (bnc#1065464)
- Remove clang-devel-static.
- Place gold plugin to the right directory. (bnc#1073210)
* It must be in /usr/lib/bfd-plugins on all architectures.
* Remove llvm5-gold from baselibs.conf - nothing needs a 32bit
version of it and it would now conflict with the 64bit one.
- Reduce _constraints requirements on 32bit architectures.
* Since we had to disable debuginfo on them, they require much
less.
- ignore make check error for PowerPC as bypass
https://bugs.llvm.org/show_bug.cgi?id=35871
- disable debuginfo build for ARM as well
- Delete intermediate files during build to reduce total disk usage
(bnc#1074625)
- Update to llvm 5.0.1
* This release contains bug-fixes for the LLVM 5.0.0 release.
* This release is API and ABI compatible with 5.0.0.
- llvm-do-not-install-static-libraries.patch
* Updated.
- Increase minimum memory and disk sizes required for building in
_constraints.
- Rename python3-lldb to python3-lldb5 so it can work with llvm
meta package.
- Rename python packages to follow naming conventions.
- Remove unnecessary dependencies on python3.
- Make opt-viewer not require python2.
* opt-viewer-Do-not-require-python-2.patch
- Switch to python3.
- Fix %check tests when used with python3.
* Define LANG=C.UTF-8 when running the tests.
- Add explicit Provides/Conflicts to llvm5-devel,
clang5-devel-static and lldb5-devel.
* These are required to be validated by obs repo-checker.
- Use LLVM_OPTIMIZED_TABLEGEN to speed up build. (bnc#1064786)
- Fix files of lldb4 to work correctly with update-alternatives.
- Remove Conflicts clang(LLDB) from lldb4-devel - it does not
exist. It would be provided automatically, but no such cmake file
is installed.
- llvm-do-not-install-static-libraries.patch
* Do not install static libraries instead of installing them and
deleting after.
* Reduces disk usage during build. (bnc#1064786)
- Do not build unnecessary parts during stage1.
* Speeds up build a bit. (bnc#1064786)
- Updated baselibs.conf to reference version 5 packages.
- Deleted rogue llvm5.spec.r29 file.
- Deleted arm_suse_support.diff, llvm-add_a_LLVM_USE_LINKER.patch,
libsanitizer.patch.
- No longer used, applied already in the source.
- llvm-normally-versioned-libllvm.patch
* Change libLLVM naming scheme to match our naming guidelines.
* The reasons for the original naming scheme are no longer valid,
more details in the patch.
- Disable all thread related tests in libcxx. Many of them use
timeouts to detect failure. They can fail randomly if the machine
is under heavy load (happens often in OBS).
- Drop llvm5-devel-static. llvm5-devel contains shared library with
the same content.
- Increase disk space requirement in _constraints to 45GB.
Otherwise the build gets stuck in random places.
- Skip build of lldb5 python on distributions with swig < 3.0.11
- Copy from llvm4.
- Update to llvm 5.0.0.
- Use LLVM_BUILD_LLVM_DYLIB instead of BUILD_SHARED_LIBS to build
single libLLVM library. This is the recommended way. The old way
was causing various issues.
* llvm-split-static-library-exports-into-their-own-export-file.diff
* clang-split-static-library-exports-into-their-own-export-file.diff
(bnc#1049703)
- Add lld, linker for Clang/LLVM
(sr#517692)
- Include clang++-MAJOR.MINOR symbolic link
(bnc#1012260)
- Remove unnecessary dependency on flex and bison.
- Make sure all binaries are managed by update-alternatives
- Add llvm-add_a_LLVM_USE_LINKER.patch and link using gold to
prevent memory exhaustion on some build machines.
- Reduce debuginfo on x86 architecture. LLVM libraries are so big that they
exhaust all memory on 32 bit machine if linked with full debuginfo.
- Speed up build by skipping parts that are not required in stage1.
- Build lldb in-tree as one of the llvm tools.
- clang-ignore-stack-clash-protector.patch: ignore -fstack-clash-protection
for now.
- xlocale.patch: don't use obsolete <xlocale.h>
- libsanitizer.patch: fix use of undocumented types
- build fixes for armv6 (skip testsuite as it requires 64bit,
set the list of targets to include ARM and remove triplet hack)
- Include provides and conflics in baselibs.conf for llvm4-devel,
clang4-devel, llvm4-LTO-devel, and llvm4-gold.
- Update to version 4.0.1
* Minor bugfixes
- Use gcc6 only for SLE boo#1041469
- Package libLLVMFuzzer
- readd arm_suse_support.diff which was accidentally removed
in the 4.0.0 update
- Enable AMDGPU and NVPTX targets everywhere except for S/390.
The AMDGPU target is needed for Mesa Clover (sr#485802).
- Use gcc6 on SLE12
- Package license & credits
- Update to version 4.0.0
* See
+ http://releases.llvm.org/4.0.0/docs/ReleaseNotes.html and
+ http://releases.llvm.org/4.0.0/tools/clang/docs/ReleaseNotes.html
+
http://releases.llvm.org/4.0.0/tools/clang/tools/extra/docs/ReleaseNotes.html
- Drop the following patches, fixed upstream:
amdgpu_revert_r280589.patch
arm_suse_support.diff
clang-fix-substitutions-abi_tag.patch
clang-incomplete-field-types.patch
glibc-2.24-libcxx.patch
llvm-install-CheckAtomic.patch
revert-cmake-soname.patch
- Enable BPF for all arches bsc#1026191
- libc++ must depend on libc++abi
- Stop using otherproviders() due to an rpm parser bug, use
self-conflicts instead as suggested by mls.
- Add amdgpu_revert_r280589.patch to fix an amdgpu regression
bsc#1021577
- Require LLVMgold and libLTO in llvm-devel, otherwise we get in CMake:
The imported target "LLVMgold" references the file
"/usr/lib64/LLVMgold.so" but this file does not exist.
This happens when requiring llvm3_9-devel directly, not llvm-devel.
- Update to version 3.9.1
* See:
+ http://llvm.org/releases/3.9.1/docs/ReleaseNotes.html
+ http://llvm.org/releases/3.9.1/tools/clang/docs/ReleaseNotes.html
+
http://llvm.org/releases/3.9.1/tools/clang/tools/extra/docs/ReleaseNotes.html
- Update to version 3.9.0
* Clang now supports the G++ abi_tag attribute.
* Clang will no longer pass --build-id by default to the linker.
* Improved C++1z support in Clang.
* Clang now has support for all OpenCL 2.0 features.
* Added support for all non-offloading features from OpenMP 4.5,
* The static analyzer now checks for incorrect usage of MPI APIs in C and C++.
* LLVM no longer does inter-procedural analysis and optimization
(except inlining) on functions with comdat linkage.
* LLVM now supports the Intel CPUs Skylake Server with AVX512
(-march=skylake-avx512) and Knights Landing (-march=knl).
* More at:
+ http://llvm.org/releases/3.9.0/docs/ReleaseNotes.html
+ http://llvm.org/releases/3.9.0/tools/clang/docs/ReleaseNotes.html
+
http://llvm.org/releases/3.9.0/tools/clang/tools/extra/docs/ReleaseNotes.html
* Fix the following patches:
+ arm_suse_support.diff
+ assume-opensuse.patch
+ clang-resourcedirs.patch
+ default-to-i586.patch
+ glibc-2.23-libcxx.patch
+ glibc-2.24-libcxx.patch
+ lldb-add-pthread-dl-libs.patch
+ lldb-cmake.patch
+ llvm-fix-find-gcc5-install.patch
+ llvm-remove-clang-only-flags.patch
+ revert-cmake-soname.patch
+ set-revision.patch
* Remove upstream-included patch:
+ llvm-nonvoid-return.patch
* Remove patch for removed files:
+ glibc-2.23-libcxx.patch
- Backport upstream patches:
* clang-fix-substitutions-abi_tag.patch
* clang-incomplete-field-types.patch
* llvm-install-CheckAtomic.patch
- Add clang%{_sonum}-include-fixer subpackage and associated
libfindAllSymbols%{_sonum} and libfindAllSymbols%{_sonum}-devel
subpackages.
- Add sanstats to llvm binary list.
- Change update-alternatives to use %postun instead of %preun,
which is now what Factory maintainers are requesting.
- Use the minor version to set the update-alternatives priority so
the most recent version of the LLVM, Clang, and LLDB are used by
default.
- Add LLVM rpm macros so downstream packages can have some idea how
LLVM was built.
- Rename libomp to make it possible to have multiple versions available.
- Split the old llvm package into this version-specific package
and a wrapper package.
- Implement update-alternatives to allow parallel installation
of many of the subpackages.
- Rename subpackages that can be parallel-installed to a
version-specific name based on the associated shared library's
current .so number.
- Various fixes to support the above changes.
- Sort a bit with spec-cleaner
- Remove the latest switch for now, things should be either coinstallable
or not, we don't need to bother around with compilation like this
- Update to llvm 3.8.1
* See http://llvm.org/releases/3.8.1/docs/ReleaseNotes.html and
http://llvm.org/releases/3.8.1/tools/docs/ReleaseNotes.html
- Use versioned libLLVM (to libLLVM3_8) and libclang (to libclang3_8)
- Change versioning of liblldb3_8 to liblldb-3_8 and use a variable
to control the name instead of hard-coding it.
- Use bcond_with and bcond_without to enable/disable build options
instead of hard-coding them.
- Put buildrequires as requires in -devel packages to avoid linker errors
when building packages against the -devel packages.
- Add ffi support (disabled by default).
- Add oprofile support (disabled by default).
- Add valgrind support (disabled by default).
- Link cmake files to the normal cmake file directory to allow autodetection
of cmake interfaces.
- Remove unused lldb components from main spec file.
- Split llvm python bindings into own subpackage.
- Split emacs plugin into own subpackage
- Move additional vim plugins into vim plugins package
- Split libc++, libLTO, LLVMgold, libomp, clang-chekers into own subpackages
- Make python-clang, llvm-vim-plugins, and llvm-emacs-plugins noarch since
they aren't architecture-specific.
- Make packages besides llvm, llvm-clang, and the shared libraries conflict
with other versions. This will be important when multiple LLVM versions
are supported.
- Various spec file cleanups
- Rebase patches:
* arm_suse_support.diff
* assume-opensuse.patch
* clang-resourcedirs.patch
* default-to-i586.patch
* glibc-2.23-libcxx.patch
* glibc-2.24-libcxx.patch
* lldb-add-pthread-dl-libs.patch
* lldb-cmake.patch
* llvm-fix-find-gcc5-install.patch
* llvm-nonvoid-return.patch
* llvm-remove-clang-only-flags.patch
* revert-cmake-soname.patch
* set-revision.patch
- Start conversion to use cmake macros with now introduced
compatibility for ninja
- Reduce number of threads if we don't have enough memory
- Add patch for the nonvoid returns:
* llvm-nonvoid-return.patch
- for ppc64le set memory to 4GB in _constraints file
(failure in Factory:PowerPC)
- glibc-2.24-libcxx.patch: fix libcxx testsuite for glibc 2.24
- Build LLDB separated from LLVM.
- Re-enable python bindings for the LLDB API.
- Disable libcxx/lldb/openmp for SLE fate#319582
- Update rpmlintrc to whitelist libLTO.so
- Re-enable glibc-2.23 patch for Tumbleweed
- fix arm_suse_support.diff for armv6hl
- adjust compile flags for llvm on armv6hl (fixes Mesa build)
- Update llvm-remove-clang-only-flags.patch to remove
- Wcovered-switch-default flag for gcc compatibility.
- Use gcc for stage1 bootstrap
- Add back libstdc++-devel dependency for clang since libc++ is
only available for x86-64 atm.
- Comment out glibc-2.23-libcxx.patch until glibc 2.23 actually
hits the Factory.
- Update to llvm 3.8.0
* See http://llvm.org/releases/3.8.0/docs/ReleaseNotes.html and
http://llvm.org/releases/3.8.0/tools/clang/docs/ReleaseNotes.html
- Fold lldb build into llvm and disable python support
- Drop clang-disable-ada-extension.patch, libcxxabi-exceptions.patch
and cmake-host-triple.patch
- Add revert-cmake-soname.patch to fix soname handling
- Add glibc-2.23-libcxx.patch to fix test failures with glibc 2.23
- Remove FFI support because its fragile
- Enable OpenMP for x86, x86_64, ppc64 and ppc64le
- Enable all targets on x86, x86_64
- Update to version 3.7.0
* See http://llvm.org/releases/3.7.0/docs/ReleaseNotes.html
- Merge aarch64-suse-support.patch into arm_suse_support.diff
- Refresh arm_suse_support.diff, llvm-fix-find-gcc5-install.patch
- Remove llvm-fix-parsearmarch.patch, upstream.
- fix build on s390x (one typo in ifarch and one change in filelist)
- Update to version 3.6.1
* No changelog upstream
- Add llvm-fix-parsearmarch.patch to fix parsing armv{6,7}hl archs.
- Update to version 3.6.0
* See http://llvm.org/releases/3.6.0/docs/ReleaseNotes.html
- Add python-xml dependency for regression tests
- Removed the following patches, fixed upstream:
* arm-remove-xfails.diff
* libcxx-libdir.patch
* llvm-config-lib64.patch
* llvm-fix-intrusiverefcntptr.patch
- Add llvm-fix-intrusiverefcntptr.patch to fix build of LLVM tools
with GCC 5.
- Add llvm-fix-find-gcc5-install.patch to properly find installed GCC 5.
- Add a gcc dependency for clang, this is heavyweight but we need
libgcc_s which comes with the gcc package (bnc#893359)
- Conditionalize libcxx{abi} build on build_libcxx variable
- Turn libc++.so into an ldscript so it links to libc++abi
automatically.
- fix constraints for armv6l/armv7l (there is no 4GB RAM on 32bit)
- Rename llvm-remove-werror-date-time.patch to
llvm-remove-clang-only-flags.patch and remove more clang only
flags.
- Enable shared libs on PPC64
- Require llvm-clang not just clang
- Add llvm-remove-werror-date-time.patch to remove -Werror=date-time
for CXXFLAGS, gcc does not support it and it creeps into
llvm-config --cflags
- Remove wrong Requires from the llvm-devel package
- Add default target triple form ARM, fixes bnc#893359
- Use ninja for building
- Update to llvm 3.5.0
* Major update, see http://llvm.org/releases/3.5.0/docs/ReleaseNotes.html
- Use upstream pristine tarballs
- Add libc++/libc++abi support clang (only on x86_64)
- Add libcxxabi-exceptions.patch to fix libcxxabi exception handling
- Add libcxx-libdir.patch to fix libdir on 64bit arches
- Remove asan-disable-hugemalloctest.patch and
cmake-patchversion.patch, fixed upstream.
- Fix the sed line for minimal damage.
- Add baselibs.conf to source files
- Add cmake-patchversion.patch to sync config.h.in
with config.h.cmake
- Update to llvm 3.4.2
* Minor bugfix release
- Drop clang-max_align_t.patch, applied upstream.
- Add clang-max_align_t.patch to resolve issue with libstdc++ 4.9
max_align_t missing declaration
- build compiler-rt on ppc64 (don't delete it)
- Fix resource dir for libclang case (clang-resourcedirs.patch)
- Always build tests
- complete ifarchs for s390
- Remove non-existing doc subpackage
- Add a dependency on ncurses-devel since libLLVM now links to
tinfo.
- Add 32bit libclang bnc#857131
- Update to final llvm 3.4 release
* See http://llvm.org/releases/3.4/docs/ReleaseNotes.html for
complete changelog.
- Update to final release candidate (r197980)
- Update to r197866 from release_34 branch
- Update to r197490 from release_34 branch
- Update to r197142 from release_34 branch
- Disable assertions again now that PPC64 backend is fixed
- Update to r196899 from release_34 branch
- Remove compiler_rt-r196612.patch, merged upstream
- Add compiler_rt-r196612.patch to fix ubsan failures on i586
- Update to r196762 from release_34 branch
- enable ppc64le
- Update to r196503 from release_34 branch to get compiler_rt fixes
- Update to r196487 from release_34 branch to get compiler_rt fixes
- Ship cmake files for llvm (needed for lldb and such)
- Update to r196371 from release_34 branch
- install python binding to libclang
- Update to r196358 from llvm 3.4 branch
- Add asan-disable-hugemalloctest.patch to disable
ASAN HugeMallocTest, it requires 4.1+ GB of RAM.
- Refresh patches
* aarch64-suse-support.patch
* arm_suse_support.diff
* assume-opensuse.patch
* default-to-i586.patch
- Drop upstream patches
* llvm-disable-pretty-stack-trace.patch
* r189852.diff
* unreachable-code.patch
* llvm-no-visibility.patch
- add r189852.diff: Remove vtables optimisation that breaks ARM
and PowerPC
- Disable testsuite on ARMv7, takes forever to run
- Fix file list for %arm
- use %arm, not arm in arch conditions
- add arm-remove-xfails.diff: remove XFAILs in testsuite
that pass and thereby make check fail
- Set DisablePrettyStackTrace to true since it messes up signal
handling. bnc#839074 and fdo#60929 implemented with
llvm-disable-pretty-stack-trace.patch)
- Fix filelist for aarch64
- aarch64-suse-support.patch: Enable AArch64 suse toolchain support
- Add s390x support
- Remove unused chrpath dependency
- Re-enable ARCMT since libclang depends on it
- Define host_triple for aarch64
- Fix ARMv6 build
- Only enable PowerPC on ppc64
- Disable shared libs on PowerPC
- Disable ARCMT, it only makes sense for iOS/OSX
- Fix build
- Disable building unit-tests, should fix undefined reference
problem on ARM & PowerPC
- do not build on slow or low memory workers
- Drop disable_neon_in_armv7.diff, neon seems to be working fine
- Add cmake-host-triple.patch to pass a host triple argument
- Create libLLVM and libclang subpackages.
- Fix finding internal headers on x86_64
- Fix ARM v5/v7 builds
- Create a baselibs.conf
Provide *-32 Bit Packages for x86_64
- Initial version of a cmake based buildscript
+ Updated arm_suse_support.diff (patch6) to work with llvm 3.3
+ Set version in spec to 3.3
- Update to final 3.3 release (r183898)
- Disable debug symbols on PPC64
- Update to version 3.3 RC2
* Small bugfixes
- Enable ARM64 support
- Add unreachable-code.patch to fix unreachable code warnings on SLE
- Update to version 3.3 RC1
* Added support for AArch64, ARM?s 64-bit architecture.
* LLVM now has a new SLP vectorizer.
* LLVM and clang now support IBM?s z/Architecture.
* The R600 backend was added in this release, it supports
AMD GPUs (HD2XXX - HD7XXX).
* See http://llvm.org/releases/3.3/docs/ReleaseNotes.html for
complete changelog.
- Drop upstream patches:
* pr13303.patch
* pr14795.patch
* pr14831.patch
* python-ulimit.patch
- pr13303.patch: reapply, was temporarily reverted upstream
- Add pre-generated doc files, remove sphinx dependency
- pr14795.patch: Fix incorrect line numbers after -frewrite-includes
(PR#14795)
- pr14831.patch: Do not incorrectly warn about pragmas in -frewrite-includes
(PR#14831)
- disable cross-compile mode in stage2 for armv5/v7
- Update to final 3.2 release
* No code changes since rc3
- Update to r170281 from release_32 branch
* SROA fixes
- Disable compilation on PPC, only PPC64 is supported.
- Add python-ulimit.patch: Don't set a limit on address space.
This enables us running tests on PowerPC.
- Unbreak PowerPC support
- Update to r169678 from release_32 branch
* This is 3.2rc3
- Update to r169391 from release_32 branch
* SROA fixes
- Fix ARM build
- Fix llvm-config --libdir to return /usr/lib64 where appropriate.
The old method of using sed on the executable does no longer
work, because llvm-config is now a binary.
- Update to r168987 from release_32 branch
* Crash fixes
* Miscompilation fixes
- Stop excluding ppc64 architecture
- Update to r168357 from release_32 branch
* Fixes a miscompilation with gcc 4.7
- Update to r168286 from release_32 branch
* Fixes llvm PR14309
- Update to r168031 from release_32 branch
* This is 3.2rc1
- Update to r167720 from release_32 branch
* Thread local variables may have a specified TLS model.
* LLVM now has a loop optimizer.
* SROA has been rewritten to be more powerful.
* A new optimization pass added to merge stack objects
which are used in disjoint areas of the code.
* LLVM now merge consecutive loads and stores.
* New TableGen infrastructure to support bundling for
Very Long Instruction Word (VLIW) architectures.
* Added a new target independent VLIW packetizer.
* A probability based block placement and code layout algorithm
was added to LLVM's code generator.
* The ARM target now includes a full featured macro assembler,
including direct-to-object module support for clang.
* A new IR-level pass, called "TargetTransformInfo" provides
a number of low-level interfaces.
- Refresh default-to-i586.patch to apply again
- Drop following patches (fixed upstream)
* arm-suse-support.patch
* pr12463.patch
* pr13141.patch
* pr13303.patch
* rewrite-includes.patch
* clang-fix-mips-test.patch (fixed differently in spec file)
- add explicit buildrequire groff for man pages
- Fix debuginfo generation
- make link time optimization plugin accessible to ar/nm/ranlib
- build the plugin properly
- fix arm build
- change rewrite-includes patch to use options to match upstream
changed option names
- fix debuginfo generation (PR#13303)
- Do not reject PCH because of -DFOO duplication (PR#13141)
- Update to final 3.1 release
- Depend on python-base so we don't pull whole Mesa
- make -rewrite-includes support -C and -CC
- patch for -rewrite-includes feature
- Update to svn revision 155819 from 3.1 branch
* C++11 fixes
- Update to svn revision 155700 from 3.1 branch
* Crash fixes
* C++11 fixes
- Update to svn revision 155574 from 3.1 branch
* Crash fixes
* Correctly enable compiler-rt
* Remove unneeded runtime python dependencies
- Switch to 2-stage bootstrap because we don't do build-compare
anyway.
- More fixes to llvm-config
- Fix llvm-config --libs output
- Update to svn revision 155320 from 3.1 branch
* AVX fixes
- Update to svn revision 154914 from 3.1 branch
Major new features:
* AddressSanitizer, a fast memory error detector.
* MachineInstr Bundles, Support to model instruction
bundling / packing.
* ARM Integrated Assembler, A full featured assembler
and direct-to-object support for ARM.
* Basic Block Placement Probability driven basic block placement.
LLVM IR and Core Improvements
* IR support for half float
* IR support for vectors of pointers, including vector GEPs.
* Module flags have been introduced.
* Loads can now have range metadata attached to them to
describe the possible values being loaded.
* Inline cost heuristics have been completely overhauled
and now closely model constant propagation through call sites,
disregard trivially dead code costs, and
can model C++ STL iterator patterns.
Optimizer Improvements
* The loop unroll pass now is able to unroll loops with
run-time trip counts. This feature is turned off by default,
and is enabled with the -unroll-runtime flag.
* A new basic-block autovectorization pass is available.
Pass -vectorize to run this pass along with some associated
post-vectorization cleanup passes.
X86-32 and X86-64 Target Improvements
* Bug fixes and improved support for AVX1
* Support for AVX2 (still incomplete at this point)
ARM Target Improvements
* The constant island pass now supports basic block and
constant pool entry alignments greater than 4 bytes.
Clang Changes
* New: -Wdangling-else, -Wstrncat-size
* Improved: -Wformat, -Wempty-body, -Wliteral-conversion
* Clang 3.1 adds support for anonymous structs and anonymous unions,
added in the latest ISO C standard. Use -std=c11 or -std=gnu11
to enable support for the new language standard.
The new C11 features are backwards-compatible and are available
as an extension in all language modes.
* All warning and language selection flags which previously accepted
c1x have been updated to accept c11. The old c1x forms have been removed.
* Generalized constant expressions
* Lambda expressions
* Generalized initializers
* Unrestricted unions
* User-defined literals
* Forward-declared enumerations
* Atomics (both libc++'s and libstdc++4.7's <atomic> are supported)
- Target i586-linux for 32bit builds
- Add upstream fix for llvm PR11642
- Don't run gcc for ada files, just fail instead.
- Add clang-glibc2.14.patch to support glibc 2.14 headers
- Install profiling support
- Switch to 3-stage bootstrap
- Build first stage compiler with -O0 to workaround gcc 4.5 bug
- Update to final 3.0 release
* No real change since rc2
- Use %{_lib} macro instead of checking for x86_64
- Enable ARM support again
- Switch to optimized build
- Disable ARM support, VM goes out of memory while compiling it
- Really enable ARM support
- Remove forcing -frtti
- Update to r143961 from llvm-3.0 branch
* No longer hardcoding include paths
- Fix LLVMgold.so path for x86-64
- Enable ld gold support
- Update r143456 from llvm-3.0 branch
* llvm/clang 3.0rc2
- Add llvm-pr9614-part{1,2}.patch to fix LLVM PR9614
- Fixup dependencies so that llvm-clang doesn't depend
on llvm-clang-devel
- Update to r142912 llvm-3.0 branch
* Fixes to python bindings
- Update to r142641
* llvm/clang 3.0 rc1
- Enable ARM code generation
- Fix libdir on x86_64
- Update to r142341
* First build from 3.0 branch
* -Wc++98-compat warnings for the lexer
* Add flags for the remaining shift related warnings
(-Wshift-count-negative, -Wshift-count-overflow).
* Only warn in -Wliteral-conversion if the conversion
loses information
* Added clang_getCompletionAnnotation and
clang_getCompletionNumAnnotations to retrieve annotations
from completion string.
* Add support for -std=gnu90 and -std=c++03, for compatibility
with modern gcc.
- Switch to tar.bz2 and remove xz dependency
- Update to r140780
* Code cleanup
* Crash fixes
* Add support for alignment-specifiers in C1X and C++11
* Introduce a new compiler switch: -fms-compatility
* Emit debug info for c++0x nullptr.
- Update to r139589
* C++0x fixes
* PCH fixes
- Update to r138939
* Many crash fixes.
* Performance optimizations.
* Allow C99 hexfloats in C++0x mode.
* Add missing function _mm_ucomige_sd to emmintrin.h.
- Update to r137452
* Fix problems found by PVS-Studio
* More AVX fixes
* Many C++ fixes
- Add assume-opensuse.patch to remove dependency on openSUSE-release
- Update to r136773
* Many AVX fixes
* Support for C++0x unicode string and character literals
- Update to r135431
* API changes to match Mesa requirements
- Update to r134888
* Type system rewrite
- Update to r134813
* Mainly gcc compatibility fixes
- Update to r134698
* Up to 80x speed improvements with -Wuninitialized
- Enable RTTI support
- Disable assertions because they are not thread safe
- Update to r134611
* Many C++ fixes and speedups
* Updates for AVX instruction support
* gcc 4.6.1 support
- Fix manpage generation (bnc #703591)
- Update to r132667
- Update to use cmake buildsystem
- Remove unmaintained ocaml support
- Drop ocaml support because its unmaintained
- Update to latest svn revision 132050
+ Start of the upcoming 3.0 version
+ Support for gcc 4.6 c++ headers
+ Better support for C++0x
- Fix ocaml dependency
- Update to 2.9
+ Type Based Alias Analysis (TBAA) is now implemented in clang
+ LLVM now generates better debug information
+ Inline assembly now supports multiple alternative constraints
- drop revision from Requires: fields
- update to 2.8.99 revision 129008.
- spec file cleanup
- Do not require specific ffi version but gather the
appropiate one from the distro
- Fix compatibility with C++0x compilers (g++ 4.5)
- Fix C include paths
- Fix header path for openSUSE 11.4
- Enabled PIC for x86 for loadable module support
- Enable package tests for llvm and clang
- Disable package timestamps to silence an rpmlint warning
- Fixed the build on x86 plattforms.
- Package the clang c++-analyzer.
- update to llvm 2.7
- added vim plugins
- added libffi-devel to llvm-devel requires so that build does not fail
- fixed build of explicit constructors with gcc45
- Initial 2.6 release

==== lzfse ====

- Use proper macro for cmake building

==== mpc ====
Version update (1.2.0 -> 1.2.1)

- mpc 1.2.1:
* Fix an incompatibility problem with GMP 6.0 and before
* Fix an intermediate overflow in asin
- express build dependencies explicitly to match the versions
required by configue, so that the OBS scheduler is aware of them
- move texinfo requirements to -devel package where they are
are actually used
- package license in every subpackage and mark as license
- run spec-cleaner

==== nfs-utils ====
Subpackages: libnfsidmap1 nfs-client nfs-kernel-server

- Update to version 2.5.2
- fixed a couple memory leaks and other bug fixes,
- a lot of clean up
- Refresh nfs-utils-1.0.7-bind-syntax.patch
- Use %autosetup -p1

==== nodejs14 ====
Version update (14.14.0 -> 14.15.0)
Subpackages: npm14

- Update to LTS version 14.15.0: (jsc#SLE-15774)
* no major changes
* test: reverts marking test-webcrypto-encrypt-decrypt-aes flaky
- Use SLE OpenSSL version with 12-SP4+, and not just 12-SP5+
- Bump mininum ICU version to 65

==== openpgm ====

- Always pretend we do not have ftime(3), function is deprecated
and absent from next glibc release.

==== opie ====
Subpackages: opie-32bit

- remove opiekeys and opiesu from permissions profiles. Package them normally,
because neither of them receives special permissions and we want to keep the
permissions profiles clean.

==== osinfo-db ====
Version update (20200813 -> 20201015)

- Update database to version 20201015
osinfo-db-20201015.tar.xz

==== ovmf ====
Subpackages: qemu-ovmf-x86_64 qemu-uefi-aarch64

- Add _constraints to request at least 6GB disk (bsc#1178244)
- Remove the build files after finishing the build to reduce the
disk usage (bsc#1178244)

==== pciutils ====
Subpackages: libpci3

- Add decode support for RCECs
- added patches

https://github.com/pciutils/pciutils/commit/e12bd01eea67ca8cf539263124843ba281eb6ecc
+ pciutils-add-decode-support-for-RCECs.patch

==== perl ====
Version update (5.30.3 -> 5.32.0)
Subpackages: perl-base perl-doc

- update to perl-5.32.0
* new experimental infix "isa" operator
* support of unicode 13.0
* chained comparisons capability
- updated patches:
* perl-HiRes.t-timeout.diff
* posix-sigaction.patch
* perl-fix2020.patch
* perl-reproducible2.patch
* perl_skip_flaky_tests_powerpc.patch

==== perl-Net-DNS ====
Version update (1.27 -> 1.28)

- updated to 1.28
see /usr/share/doc/packages/perl-Net-DNS/Changes

==== php7 ====
Version update (7.4.11 -> 7.4.12)
Subpackages: apache2-mod_php7 php7-ctype php7-dom php7-gd php7-gettext
php7-iconv php7-json php7-mbstring php7-mysql php7-pdo php7-sqlite
php7-tokenizer php7-xmlreader php7-xmlwriter

- updated to 7.4.12: This is a bug fix release. See
https://www.php.net/ChangeLog-7.php#7.4.12

==== plasma5-disks ====
Version update (5.20.1 -> 5.20.2)
Subpackages: plasma5-disks-lang

- Update to 5.20.2
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.20.2
- No code changes since 5.20.1

==== plasma5-thunderbolt ====
Version update (5.20.1 -> 5.20.2)
Subpackages: plasma5-thunderbolt-lang

- Update to 5.20.2
* New bugfix release
* For more details please see:
* https://kde.org/announcements/plasma-5.20.2
- No code changes since 5.20.1

==== plymouth ====
Subpackages: libply-boot-client5 libply-splash-core5 libply-splash-graphics5
libply5 plymouth-dracut plymouth-plugin-label plymouth-plugin-two-step
plymouth-scripts plymouth-theme-bgrt plymouth-theme-spinner

- Add plymouth-ignore-serial-console.patch:
Don't output in serial console for openQA need to take serial in
the test, and yast-installation prgram has a feature to install
system through it (bnc#1051692 bnc#1164123 bnc#1170906).

==== postgresql13 ====
Subpackages: libpq5 postgresql13-contrib postgresql13-docs postgresql13-llvmjit
postgresql13-server

- Fix a DST problem in the test suite: postgresql-timetz.patch
https://postgr.es/m/16689-57701daa23b377bf@xxxxxxxxxxxxxx

==== procmail ====

- Do not use lto compiler flags at all with this kind of code

==== python-cryptography ====
Version update (3.0 -> 3.2.1)

- update to 3.2.1:
Disable blinding on RSA public keys to address an error with
some versions of OpenSSL.
- update to 3.2:
* CVE-2020-25659: Attempted to make RSA PKCS#1v1.5 decryption more constant
time,
to protect against Bleichenbacher vulnerabilities. Due to limitations
imposed
by our API, we cannot completely mitigate this vulnerability.
* Support for OpenSSL 1.0.2 has been removed.
* Added basic support for PKCS7 signing (including SMIME) via
PKCS7SignatureBuilder.
- update to 3.1.1:
* wheels compiled with OpenSSL 1.1.1h.
- update to 3.1:
* **BACKWARDS INCOMPATIBLE:** Removed support for ``idna`` based
:term:`U-label` parsing in various X.509 classes. This support was
originally
deprecated in version 2.1 and moved to an extra in 2.5.
* Deprecated OpenSSL 1.0.2 support. OpenSSL 1.0.2 is no longer supported by
the OpenSSL project. The next version of ``cryptography`` will drop support
for it.
* Deprecated support for Python 3.5. This version sees very little use and
will
be removed in the next release.
* ``backend`` arguments to functions are no longer required and the
default backend will automatically be selected if no ``backend`` is
provided.
* Added initial support for parsing certificates from PKCS7 files with

:func:`~cryptography.hazmat.primitives.serialization.pkcs7.load_pem_pkcs7_certificates`
and

:func:`~cryptography.hazmat.primitives.serialization.pkcs7.load_der_pkcs7_certificates`
.
* Calling ``update`` or ``update_into`` on
:class:`~cryptography.hazmat.primitives.ciphers.CipherContext` with ``data``
longer than 2\ :sup:`31` bytes no longer raises an ``OverflowError``. This
also resolves the same issue in :doc:`/fernet`.

==== python-libxml2 ====

- Make python subpackage ready for multiple python3 flavors
gh#openSUSE/python-rpm-macros#66

==== python-sip ====
Subpackages: python-sip-common python3-sip

- Fix for multiple python3 flavors gh#openSUSE/python-rpm-macros#64
- clean up alternatives: use %python_clone -a
- only make install in siplib for PyQt4.sip and PyQt5.sip libraries

==== qpdf ====
Version update (10.0.1 -> 10.0.3)

- Update to version 10.0.3
* Fixes a regression introduced in 10.0.2
- Update to version 10.0.2
* Bug fixes and performance improvements
* See http://qpdf.sourceforge.net/files/qpdf-manual.html#ref.release-notes
for a complete changelog.

==== redis ====
Version update (6.0.8 -> 6.0.9)

- redis 6.0.9:
* potential heap overflow when using a heap allocator other
than jemalloc or glibc's malloc. Does not affect the openSUSE
package - boo#1178205
* Memory reporting of clients argv
* Add redis-cli control on raw format line delimiter
* Add redis-cli support for rediss:// -u prefix
* WATCH no longer ignores keys which have expired for MULTI/EXEC
* Correct OBJECT ENCODING response for stream type
* Allow blocked XREAD on a cluster replica
* TLS: Do not require CA config if not used
* multiple bug fixes
* Additions to modules API

==== rsyslog ====
Version update (8.2008.0 -> 8.2010.0)

- Upgrade to rsyslog 8.2010.0:
* gnutls TLS subsystem bugfix: handshake error handling
* core/msg bugfix: memory leak
* core/msg bugfix: segfault in jsonPathFindNext() when <root> not an object
* openssl TLS subsystem: improvments of error and status messages
* add 'exists()' script function to check if variable exists
* core bugfix: do not create empty JSON objects on non-existent key access
* gnutls subsysem bugfix: potential hang on session closure
* core/network bugfix: obey net.enableDNS=off when querying local hostname
* core bugfix: potential segfault on query of PROGRAMNAME property
* imtcp bugfix: broken connection not necessariy detected
* new module: imhttp - http input
* mmdarwin bugfix: potential zero uuid when reusing existing one
* imdocker bugfix: build issue on some platforms
* omudpspoof bugfix: make compatbile with Solaris build
* testbench fix: python 3 incompatibility
* core bugfix: segfault if disk-queue file cannot be created
* cosmetic: fix dummy module name in debug output
* config bugfix: intended warning emitted as error

==== rubygem-bootsnap ====
Version update (1.4.8 -> 1.4.9)

- updated to version 1.4.9
* [Windows support](https://github.com/Shopify/bootsnap/pull/319)
* [Fix potential crash](https://github.com/Shopify/bootsnap/pull/322)

==== rubygem-puma ====
Version update (5.0.0 -> 5.0.4)

- updated to version 5.0.4
* Bugfixes
* Pass preloaded application into new workers if available when using
`preload_app` ([#2461], [#2454])
[#]# 5.0.3 / 2020-10-26
* Bugfixes
* Add Client#io_ok?, check before Reactor#register ([#2432])
* Fix hang on shutdown in refork ([#2442])
* Fix `Bundler::GemNotFound` errors for `nio4r` gem during phased restarts
([#2427], [#2018])
* Server run thread safety fix ([#2435])
* Fire `on_booted` after server starts ([#2431], [#2212])
* Cleanup daemonization in rc.d script ([#2409])
* Refactor
* Remove accept_nonblock.rb, add test_integration_ssl.rb ([#2448])
* Refactor status.rb - dry it up a bit ([#2450])
* Extract req/resp methods to new request.rb from server.rb ([#2419])
* Refactor Reactor and Client request buffering ([#2279])
* client.rb - remove JRuby specific 'finish' code ([#2412])
* Consolidate fast_write calls in Server, extract early_hints assembly
([#2405])
* Remove upstart from docs ([#2408])
* Extract worker process into separate class ([#2374])
* Consolidate option handling in Server, Server small refactors, doc changes
([#2389])
[#]# 5.0.2 / 2020-09-28
* Bugfixes
* Reverted API changes to Server.
[#]# 5.0.1 / 2020-09-28
* Bugfixes
* Fix LoadError in CentOS 8 ([#2381])
* Better error handling during force shutdown ([#2271])
* Prevent connections from entering Reactor after shutdown begins ([#2377])
* Fix error backtrace debug logging && Do not log request dump if it is not
parsed ([#2376])
* Split TCP_CORK and TCP_INFO ([#2372])
* Do not log EOFError when a client connection is closed without write
([#2384])
* Refactor
* Change Events#ssl_error signature from (error, peeraddr, peercert) to
(error, ssl_socket) ([#2375])
* Consolidate option handling in Server, Server small refactors, doc chang
([#2373])

==== rubygem-rubocop ====
Version update (0.92.0 -> 1.1.0)

- New upstream release 1.1.0
[#]# 1.1.0 (2020-10-29)
[#]## New features
* [#8896](https://github.com/rubocop-hq/rubocop/pull/8896): Add new
`Lint/DuplicateRegexpCharacterClassElement` cop. ([@owst][])
* [#8895](https://github.com/rubocop-hq/rubocop/pull/8895): Add new
`Lint/EmptyBlock` cop. ([@fatkodima][])
* [#8934](https://github.com/rubocop-hq/rubocop/pull/8934): Add new
`Style/SwapValues` cop. ([@fatkodima][])
* [#7549](https://github.com/rubocop-hq/rubocop/issues/7549): Add new
`Style/ArgumentsForwarding` cop. ([@koic][])
* [#8859](https://github.com/rubocop-hq/rubocop/issues/8859): Add new
`Lint/UnmodifiedReduceAccumulator` cop. ([@dvandersluis][])
* [#8951](https://github.com/rubocop-hq/rubocop/pull/8951): Support
auto-correction for `Style/MultipleComparison`. ([@koic][])
* [#8953](https://github.com/rubocop-hq/rubocop/pull/8953): Add
`AllowMethodComparison` option for `Lint/MultipleComparison`. ([@koic][])
* [#8960](https://github.com/rubocop-hq/rubocop/pull/8960): Add
`Regexp::Expression#loc` and `#expression` to replace `parsed_tree_expr_loc`.
([@marcandre][])
* [#8930](https://github.com/rubocop-hq/rubocop/pull/8930): Add rake tasks
for alternative way to specify Changelog entries. ([@marcandre][])
* [#8940](https://github.com/rubocop-hq/rubocop/pull/8940): Add new
`Style/DocumentDynamicEvalDefinition` cop. ([@fatkodima][])
* [#7753](https://github.com/rubocop-hq/rubocop/issues/7753): Add new
`Lint/ToEnumArguments` cop. ([@fatkodima][])
[#]## Bug fixes
* [#8921](https://github.com/rubocop-hq/rubocop/pull/8921): Prevent
`Lint/LiteralInInterpolation` from removing necessary interpolation in `%W[]`
and `%I[]` literals. ([@knu][])
* [#8708](https://github.com/rubocop-hq/rubocop/pull/8708): Fix bad regexp
recognition in `Lint/OutOfRangeRegexpRef` when there are multiple regexps.
([@dvandersluis][])
* [#8945](https://github.com/rubocop-hq/rubocop/pull/8945): Fix changelog
task to build a correct changelog item when `Fix #123` is encountered.
([@dvandersluis][])
* [#8914](https://github.com/rubocop-hq/rubocop/pull/8914): Fix
autocorrection for `Layout/TrailingWhitespace` in heredocs. ([@marcandre][])
[#]## Changes
* [#8920](https://github.com/rubocop-hq/rubocop/pull/8920): Remove Capybara's
`save_screenshot` from `Lint/Debugger`. ([@ybiquitous][])
* [#8919](https://github.com/rubocop-hq/rubocop/issues/8919): Require RuboCop
AST 1.0.1 or higher. ([@koic][])
* [#8939](https://github.com/rubocop-hq/rubocop/pull/8939): Accept
comparisons of multiple method calls for `Style/MultipleComparison`. ([@koic][])
* [#8950](https://github.com/rubocop-hq/rubocop/issues/8950): Add
`IgnoredMethods` and `IgnoredClasses` to `Lint/NumberConversion`.
([@dvandersluis][])
[#]# 1.0.0 (2020-10-21)
[#]## New features
* [#7944](https://github.com/rubocop-hq/rubocop/issues/7944): Add
`MaxUnannotatedPlaceholdersAllowed` option to `Style/FormatStringToken` cop.
([@Tietew][])
* [#8379](https://github.com/rubocop-hq/rubocop/issues/8379): Handle
redundant parentheses around an interpolated expression for
`Style/RedundantParentheses` cop. ([@fatkodima][])
[#]## Bug fixes
* [#8892](https://github.com/rubocop-hq/rubocop/issues/8892): Fix an error
for `Style/StringConcatenation` when correcting nested concatenable parts.
([@fatkodima][])
* [#8781](https://github.com/rubocop-hq/rubocop/issues/8781): Fix handling of
comments in `Style/SafeNavigation` autocorrection. ([@dvandersluis][])
* [#8907](https://github.com/rubocop-hq/rubocop/pull/8907): Fix an incorrect
auto-correct for `Layout/ClassStructure` when heredoc constant is defined after
public method. ([@koic][])
* [#8889](https://github.com/rubocop-hq/rubocop/pull/8889): Cops can use new
`after_<type>` callbacks (only for nodes that may have children nodes, like
`:send` and unlike `:sym`). ([@marcandre][])
* [#8906](https://github.com/rubocop-hq/rubocop/pull/8906): Fix a false
positive for `Layout/SpaceAroundOperators` when upward alignment. ([@koic][])
* [#8585](https://github.com/rubocop-hq/rubocop/pull/8585): Fix false
positive in `Style/RedundantSelf` cop with nested `self` access. ([@marcotc][])
* [#8692](https://github.com/rubocop-hq/rubocop/pull/8692): Fix
`Layout/TrailingWhitespace` auto-correction in heredoc. ([@marcandre][])
[#]## Changes
* [#8882](https://github.com/rubocop-hq/rubocop/pull/8882): **(Potentially
breaking)** RuboCop assumes that Cop classes do not define new `on_<type>`
methods at runtime (e.g. via `extend` in `initialize`). ([@marcandre][])
* [#7966](https://github.com/rubocop-hq/rubocop/issues/7966): **(Breaking)**
Enable all pending cops for RuboCop 1.0. ([@koic][])
* [#8490](https://github.com/rubocop-hq/rubocop/pull/8490): **(Breaking)**
Change logic for cop department name computation. Cops inside deep namespaces
(5 or more levels deep) now belong to departments with names that are
calculated by joining module names starting from the third one with slashes as
separators. For example, cop `Rubocop::Cop::Foo::Bar::Baz` now belongs to
`Foo/Bar` department (previously it was `Bar`). ([@dsavochkin][])
* [#8692](https://github.com/rubocop-hq/rubocop/pull/8692): Default changed
to disallow `Layout/TrailingWhitespace` in heredoc. ([@marcandre][])
* [#8894](https://github.com/rubocop-hq/rubocop/issues/8894): Make
`Security/Open` aware of `URI.open`. ([@koic][])
* [#8901](https://github.com/rubocop-hq/rubocop/issues/8901): Fix false
positive for `Naming/BinaryOperatorParameterName` when defining `=~`.
([@zajn][])
* [#8908](https://github.com/rubocop-hq/rubocop/pull/8908): Show extension
cop versions when using `--verbose-version` option. ([@koic][])
- New upstream release 0.93.1
[#]## Bug fixes
* [#8782](https://github.com/rubocop-hq/rubocop/issues/8782): Fix incorrect
autocorrection for `Style/TernaryParentheses` with `defined?`.
([@dvandersluis][])
* [#8867](https://github.com/rubocop-hq/rubocop/issues/8867): Rework
`Lint/RedundantSafeNavigation` to be more safe. ([@fatkodima][])
* [#8864](https://github.com/rubocop-hq/rubocop/issues/8864): Fix false
positive for `Style/RedundantBegin` with a postfix `while` or `until`.
([@dvandersluis][])
* [#8869](https://github.com/rubocop-hq/rubocop/issues/8869): Fix a false
positive for `Style/RedundantBegin` when using `begin` for or assignment and
method call. ([@koic][])
* [#8862](https://github.com/rubocop-hq/rubocop/issues/8862): Fix an error
for `Lint/AmbiguousRegexpLiteral` when using regexp without method calls in
nested structure. ([@koic][])
* [#8872](https://github.com/rubocop-hq/rubocop/issues/8872): Fix an error
for `Metrics/ClassLength` when multiple assignments to constants. ([@koic][])
* [#8871](https://github.com/rubocop-hq/rubocop/issues/8871): Fix a false
positive for `Style/RedundantBegin` when using `begin` for method argument or
part of conditions. ([@koic][])
* [#8875](https://github.com/rubocop-hq/rubocop/issues/8875): Fix an
incorrect auto-correct for `Style/ClassEqualityComparison` when comparing class
name. ([@koic][])
* [#8880](https://github.com/rubocop-hq/rubocop/issues/8880): Fix an error
for `Style/ClassLength` when overlapping constant assignments. ([@koic][])
- New upstream release 0.93
[#]## New features
* [#8796](https://github.com/rubocop-hq/rubocop/pull/8796): Add new
`Lint/HashCompareByIdentity` cop. ([@fatkodima][])
* [#8833](https://github.com/rubocop-hq/rubocop/pull/8833): Add new
`Style/ClassEqualityComparison` cop. ([@fatkodima][])
* [#8668](https://github.com/rubocop-hq/rubocop/pull/8668): Add new
`Lint/RedundantSafeNavigation` cop. ([@fatkodima][])
* [#8842](https://github.com/rubocop-hq/rubocop/issues/8842): Add
notification about cache being used to debug mode. ([@hatkyinc2][])
* [#8822](https://github.com/rubocop-hq/rubocop/pull/8822): Make
`Style/RedundantBegin` aware of `begin` without `rescue` or `ensure`.
([@koic][])
[#]## Bug fixes
* [#8810](https://github.com/rubocop-hq/rubocop/pull/8810): Fix multiple
offense detection for `Style/RaiseArgs`. ([@pbernays][])
* [#8151](https://github.com/rubocop-hq/rubocop/issues/8151): Fix a false
positive for `Lint/BooleanSymbol` when used within `%i[...]`. ([@fatkodima][])
* [#8809](https://github.com/rubocop-hq/rubocop/pull/8809): Fix multiple
offense detection for `Style/For`. ([@pbernays][])
* [#8801](https://github.com/rubocop-hq/rubocop/issues/8801): Fix
`Layout/SpaceAroundEqualsInParameterDefault` only registered once in a line.
([@rdunlop][])
* [#8514](https://github.com/rubocop-hq/rubocop/issues/8514): Correct
multiple `Style/MethodDefParentheses` per file. ([@rdunlop][])
* [#8825](https://github.com/rubocop-hq/rubocop/issues/8825): Fix crash in
`Style/ExplicitBlockArgument` when code is called outside of a method.
([@ghiculescu][])
* [#8718](https://github.com/rubocop-hq/rubocop/issues/8718): Fix undefined
methods of pseudo location. ([@ybiquitous][])
* [#8354](https://github.com/rubocop-hq/rubocop/issues/8354): Detect regexp
named captures in `Style/CaseLikeIf` cop. ([@dsavochkin][])
* [#8821](https://github.com/rubocop-hq/rubocop/issues/8821): Fix an
incorrect autocorrect for `Style/NestedTernaryOperator` when using a nested
ternary operator expression with no parentheses
on the outside. ([@koic][])
* [#8834](https://github.com/rubocop-hq/rubocop/issues/8834): Fix a false
positive for `Style/ParenthesesAsGroupedExpression` when method argument
parentheses are omitted and hash argument key
is enclosed in parentheses. ([@koic][])
* [#8830](https://github.com/rubocop-hq/rubocop/issues/8830): Fix bad
autocorrect of `Style/StringConcatenation` when string includes double quotes.
([@tleish][])
* [#8807](https://github.com/rubocop-hq/rubocop/pull/8807): Fix a false
positive for `Style/RedundantCondition` when using assignment by hash key
access. ([@koic][])
* [#8848](https://github.com/rubocop-hq/rubocop/issues/8848): Fix a false
positive for `Style/CombinableLoops` when using the same method with different
arguments. ([@dvandersluis][])
* [#8843](https://github.com/rubocop-hq/rubocop/issues/8843): Fix an
incorrect autocorrect for `Lint/AmbiguousRegexpLiteral` when sending method to
regexp literal receiver. ([@koic][])
* [#8842](https://github.com/rubocop-hq/rubocop/issues/8842): Save actual
status to cache, except corrected. ([@hatkyinc2][])
* [#8835](https://github.com/rubocop-hq/rubocop/issues/8835): Fix an
incorrect autocorrect for `Style/RedundantInterpolation` when using string
interpolation for non-operator methods.
([@koic][])
* [#7495](https://github.com/rubocop-hq/rubocop/issues/7495): Example for
`Lint/AmbiguousBlockAssociation` cop. ([@AllanSiqueira][])
* [#8855](https://github.com/rubocop-hq/rubocop/issues/8855): Fix an error
for `Layout/EmptyLinesAroundAccessModifier` and
`Style/AccessModifierDeclarations` when using only access modifier.
([@koic][])
[#]## Changes
* [#8803](https://github.com/rubocop-hq/rubocop/pull/8803): **(Breaking)**
`RegexpNode#parsed_tree` now processes regexps including interpolation (by
blanking the interpolation before parsing,
rather than skipping). ([@owst][])
* [#8625](https://github.com/rubocop-hq/rubocop/pull/8625): Improve
`Style/RedundantRegexpCharacterClass` and `Style/RedundantRegexpEscape` by
using `regexp_parser` gem. ([@owst][])
* [#8646](https://github.com/rubocop-hq/rubocop/issues/8646): Faster find of
all files in `TargetFinder` class which improves initial startup speed.
([@tleish][])
* [#8102](https://github.com/rubocop-hq/rubocop/issues/8102): Consider class
length instead of block length for `Struct.new`. ([@tejasbubane][])
* [#7408](https://github.com/rubocop-hq/rubocop/issues/7408): Make
`Gemspec/RequiredRubyVersion` cop aware of `Gem::Requirement`.
([@tejasbubane][])
[@fatkodima]: https://github.com/fatkodima
[@hatkyinc2]: https://github.com/hatkyinc2
[@koic]: https://github.com/koic
[@pbernays]: https://github.com/pbernays
[@rdunlop]: https://github.com/rdunlop
[@ghiculescu]: https://github.com/ghiculescu
[@ybiquitous]: https://github.com/ybiquitous
[@dsavochkin]: https://github.com/dsavochkin
[@tleish]: https://github.com/tleish
[@dvandersluis]: https://github.com/dvandersluis
[@AllanSiqueira]: https://github.com/AllanSiqueira
[@owst]: https://github.com/owst
[@tejasbubane]: https://github.com/tejasbubane

==== rubygem-rubocop-ast ====
Version update (0.5.0 -> 1.1.0)

- New upstream release 1.1.0
[#]# 1.1.0 (2020-10-26)
[#]## New features
* [#144](https://github.com/rubocop-hq/rubocop-ast/pull/144): NodePattern:
allow method calls on constants. ([@marcandre][])
[#]# 1.0.1 (2020-10-23)
[#]## Bug fixes
* [#141](https://github.com/rubocop-hq/rubocop-ast/pull/141): Make
`SendNode#macro?` and `RuboCop::AST::Node#class_constructor?` aware of struct
constructor and `RuboCop::AST::Node#struct_constructor?` is deprecated.
([@koic][])
* [#142](https://github.com/rubocop-hq/rubocop-ast/pull/142): Only traverse
send nodes in `MethodDispatchNode#def_modifier?`. ([@eugeneius][])
[#]# 1.0.0 (2020-10-21)
[#]## Changes
* None since 0.8; official 1.0 release coinciding with RuboCop 1.0 and API
considered stable. ([@marcandre][])
[#]# 0.8.0 (2020-10-12)
[#]## New features
* [#49](https://github.com/rubocop-hq/rubocop-ast/pull/49): Add
`DefNode#endless?` (Ruby 3.0). ([@marcandre][])
* [#117](https://github.com/rubocop-hq/rubocop-ast/pull/117): Future-proof
`AST::Traversal` by detecting unknown `Node` types. ([@marcandre][])
* [#131](https://github.com/rubocop-hq/rubocop-ast/pull/131): Add rake tasks
to merge and create Changelog entries. ([@marcandre][])
[#]## Bug fixes
* [#117](https://github.com/rubocop-hq/rubocop-ast/pull/117): All nodes of
`break` and `next` are now traversed. ([@marcandre][])
[#]# 0.7.1 (2020-09-28)
[#]## Bug fixes
* [#127](https://github.com/rubocop-hq/rubocop-ast/pull/127): Fix dependency
issue for JRuby. ([@marcandre][])
[#]# 0.7.0 (2020-09-27)
[#]## New features
* [#105](https://github.com/rubocop-hq/rubocop-ast/pull/105): `NodePattern`
compiler [complete
rewrite](https://docs.rubocop.org/rubocop-ast/node_pattern_compiler.html). Add
support for multiple variadic terms. ([@marcandre][])
* [#109](https://github.com/rubocop-hq/rubocop-ast/pull/109): Add
`NodePattern` debugging rake tasks: `test_pattern`, `compile`, `parse`. See
also [this app](https://nodepattern.herokuapp.com) ([@marcandre][])
* [#110](https://github.com/rubocop-hq/rubocop-ast/pull/110): Add
`NodePattern` support for multiple terms unions. ([@marcandre][])
* [#111](https://github.com/rubocop-hq/rubocop-ast/pull/111): Optimize some
`NodePattern`s by using `Set`s. ([@marcandre][])
* [#112](https://github.com/rubocop-hq/rubocop-ast/pull/112): Add
`NodePattern` support for Regexp literals. ([@marcandre][])
[#]## Changes
* [#22](https://github.com/rubocop-hq/rubocop-ast/issues/22): **(Potentially
breaking)** Most constants are now private, the rest are converted to Sets and
meant to be private. ([@marcandre][])
[#]# 0.6.0 (2020-09-26)
[#]## New features
* [#124](https://github.com/rubocop-hq/rubocop-ast/pull/124): Add
`RegexpNode#options`. ([@owst][])
[#]# 0.5.1 (2020-09-25)
[#]## Bug fixes
* [#120](https://github.com/rubocop-hq/rubocop-ast/pull/120): **(Potentially
breaking)** Fix false positives and negatives for `SendNode#macro?`. This
impacts `{non_}bare_access_modifier?` and `special_access_modifier?`.
([@marcandre][])

==== rubygem-zeitwerk ====
Version update (2.4.0 -> 2.4.1)

- updated to version 2.4.1
* Use `__send__` instead of `send` internally.

==== sendmail ====
Subpackages: libmilter1_0

- cleanup the sendmail permissions profile:
- /var/run/sendmail was last used in SLE-11 with systemv init, is no longer
required.
- /var/spool/clientmqueue is now owned by the system-user-mail package.
Nobody is calling %set_permissions and %verify_permissions on this
directory anymore, therefore the permissions entry is useless.
- /var/spool/mail is the same for all permissions profiles and also managed
by systemd-tmpfiles via the filesystem package (fs-var.conf).

==== systemd-default-settings ====
Version update (0.2 -> 0.4)
Subpackages: systemd-default-settings-branding-SLE
systemd-default-settings-branding-openSUSE

- rpm file lists are now generated from the spec file.
- Make sure the release number between the main and the branding
packages match
- Import 0.3
d299248 List drop-in directories in SUSE.list exclusively
e4651a7 Disable memory accounting by default for all distros (jsc#PM-2229
jsc#PM-2230)

==== timezone ====
Version update (2020a -> 2020d)

- Add fat.patch to generate "fat" timezone files (was default before 2020b).
- Adjust timezone-java.spec.in to avoid build failures when running
pre_checkin.sh
- timezone update 2020d
* Palestine ends DST earlier than predicted, on 2020-10-24.
- timezone update 2020c
* Fiji starts DST later than usual, on 2020-12-20.
- timezone update 2020b (bsc#1177460)
* Revised predictions for Morocco's changes starting in 2023.
* Canada's Yukon changes to -07 on 2020-11-01, not 2020-03-08.
* Macquarie Island has stayed in sync with Tasmania since 2011.
* Casey, Antarctica is at +08 in winter and +11 in summer.
* zic no longer supports -y, nor the TYPE field of Rules.
- Rebased timezone-2018f-bsc1112310.patch

==== timezone-java ====
Version update (2020a -> 2020d)

- Add fat.patch to generate "fat" timezone files (was default before 2020b).
- Adjust timezone-java.spec.in to avoid build failures when running
pre_checkin.sh
- timezone update 2020d
* Palestine ends DST earlier than predicted, on 2020-10-24.
- timezone update 2020c
* Fiji starts DST later than usual, on 2020-12-20.
- timezone update 2020b (bsc#1177460)
* Revised predictions for Morocco's changes starting in 2023.
* Canada's Yukon changes to -07 on 2020-11-01, not 2020-03-08.
* Macquarie Island has stayed in sync with Tasmania since 2011.
* Casey, Antarctica is at +08 in winter and +11 in summer.
* zic no longer supports -y, nor the TYPE field of Rules.
- Rebased timezone-2018f-bsc1112310.patch
- Fixup tzdata-china.diff: zone.tab and zone1970.tab MUST be tab
delimited (boo#1176927).

==== transactional-update ====
Version update (2.28 -> 2.28.2)
Subpackages: transactional-update-zypp-config

- Version 2.28.2
- SELinux: Exclude security.selinux attribute from rsyncing (again)
- Version 2.28.1
- SELinux: Fixed changing the wrong grub configuration file
- SELinux: Move /.autorelabel file to writeable location

==== tumbler ====
Subpackages: libtumbler-1-0 tumbler-folder-thumbnailer tumbler-lang
tumbler-webp-thumbnailer

- Remove hard dependency to Thunar 1.8.2. We use "Suggests" instead
to make sure the correct version is picked while keeping a soft
dependency.
- Weak dependencies: Use Supplements tag as recommended
tumbler-folder-thumbnailer/tumbler-webp-thumbnailer dependencies
for main package

==== vulkan-loader ====
Version update (1.2.154 -> 1.2.154.1)

- Update to release 1.2.154.1
* Fix some issues when EnumerateAdapterPhysicalDevices is available

==== wireshark ====
Version update (3.2.7 -> 3.2.8)
Subpackages: libwireshark13 libwiretap10 libwsutil11 wireshark-ui-qt

- wireshark 3.2.8:
* CVE-2020-26575: FBZERO dissector crash (boo#1177406)
* CVE-2020-28030: GQUIC dissector crash (boo#1178291)
* Infinite memory allocation while parsing this tcp packet
- Further features, bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-3.2.8.html

==== xen ====
Version update (4.14.0_08 -> 4.14.0_10)
Subpackages: xen-libs xen-tools xen-tools-domU

- Upstream bug fixes (bsc#1027519)
5f479d9e-x86-begin-to-support-MSR_ARCH_CAPS.patch
5f4cf06e-x86-Dom0-expose-MSR_ARCH_CAPS.patch
5f4cf96a-x86-PV-fix-SEGBASE_GS_USER_SEL.patch
5f560c42-x86-PV-rewrite-segment-ctxt-switch.patch
5f5b6b7a-hypfs-fix-custom-param-writes.patch
5f607915-x86-HVM-more-consistent-IO-completion.patch
5f6cfb5b-x86-PV-dont-GP-for-SYSENTER-with-NT-set.patch
5f6cfb5b-x86-PV-dont-clobber-NT-on-return-to-guest.patch
5f71a21e-x86-S3-fix-shadow-stack-resume.patch
5f76ca65-evtchn-Flask-prealloc-for-send.patch
5f76caaf-evtchn-FIFO-use-stable-fields.patch
5f897c25-x86-traps-fix-read_registers-for-DF.patch
5f897c7b-x86-smpboot-restrict-memguard_guard_stack.patch
- Renamed patches
5f560c42-x86-PV-64bit-segbase-consistency.patch
Replaces 5f5b6951-x86-PV-64bit-segbase-consistency.patch
5f6a002d-x86-PV-handle-MSR_MISC_ENABLE-correctly.patch
Replaces
5f6a05a0-pv-Handle-the-Intel-specific-MSR_MISC_ENABLE-correctly.patch
5f6a0049-memory-dont-skip-RCU-unlock-in-acquire_resource.patch
Replaces
5f6a05b7-xen-memory-Dont-skip-the-RCU-unlock-path-in-acquire_resource.patch
5f6a0067-x86-vPT-fix-race-when-migrating-timers.patch
Replaces 5f6a05dd-vpt-fix-race-when-migrating-timers-between-vCPUs.patch
5f6a008e-x86-MSI-drop-read_msi_msg.patch
Replaces 5f6a05fa-msi-get-rid-of-read_msi_msg.patch
5f6a00aa-x86-MSI-X-restrict-reading-of-PBA-bases.patch
Replaces 5f6a061a-MSI-X-restrict-reading-of-table-PBA-bases-from-BARs.patch
5f6a00c4-evtchn-relax-port_is_valid.patch
Replaces 5f6a062c-evtchn-relax-port_is_valid.patch
5f6a00df-x86-PV-avoid-double-exception-injection.patch
Replaces 5f6a065c-pv-Avoid-double-exception-injection.patch
5f6a00f4-evtchn-add-missing-barriers.patch
Replaces
5f6a0674-xen-evtchn-Add-missing-barriers-when-accessing-allocating-an-event-channel.patch
5f6a0111-evtchn-x86-enforce-correct-upper-limit.patch
Replaces
5f6a068e-evtchn-x86-enforce-correct-upper-limit-for-32-bit-guests.patch
5f6a013f-evtchn_reset-shouldnt-succeed-with.patch
Replaces
5f6a06be-evtchn-evtchn_reset-shouldnt-succeed-with-still-open-ports.patch
5f6a0160-evtchn-IRQ-safe-per-channel-lock.patch
Replaces 5f6a06e0-evtchn-convert-per-channel-lock-to-be-IRQ-safe.patch
5f6a0178-evtchn-address-races-with-evtchn_reset.patch
Replaces 5f6a06f2-evtchn-address-races-with-evtchn_reset.patch
5f6a01a4-evtchn-preempt-in-evtchn_destroy.patch
Replaces 5f6a071f-evtchn-arrange-for-preemption-in-evtchn_destroy.patch
5f6a01c6-evtchn-preempt-in-evtchn_reset.patch
Replaces 5f6a0754-evtchn-arrange-for-preemption-in-evtchn_reset.patch
- bsc#1177409 - VUL-0: xen: x86 PV guest INVLPG-like flushes may
leave stale TLB entries (XSA-286)
xsa286-1.patch
xsa286-2.patch
xsa286-3.patch
xsa286-4.patch
xsa286-5.patch
xsa286-6.patch
- bsc#1177412 - VUL-0: xen: Race condition in Xen mapping code
(XSA-345)
5f8ed5d3-x86-mm-map_pages_to_xen-single-exit-path.patch
5f8ed5eb-x86-mm-modify_xen_mappings-one-exit-path.patch
5f8ed603-x86-mm-prevent-races-in-mapping-updates.patch
- bsc#1177413 - VUL-0: xen: undue deferral of IOMMU TLB flushes
(XSA-346)
5f8ed635-IOMMU-suppress-iommu_dont_flush_iotlb-when.patch
5f8ed64c-IOMMU-hold-page-ref-until-TLB-flush.patch
- bsc#1177414 - VUL-0: xen: unsafe AMD IOMMU page table updates
(XSA-347)
5f8ed682-AMD-IOMMU-convert-amd_iommu_pte.patch
5f8ed69c-AMD-IOMMU-update-live-PTEs-atomically.patch
5f8ed6b0-AMD-IOMMU-suitably-order-DTE-mods.patch
- Update libxc.sr.superpage.patch
set errno in x86_hvm_alloc_4k (bsc#1177112)

==== xfdesktop ====
Version update (4.14.2 -> 4.14.3)
Subpackages: xfdesktop-lang

- Update to version 4.14.2
* Avoid redundant calls to backdrop_changed_cb (bxo#16773)
* Fix memory leak when reconnecting DP monitor (bxo#16314)
(obsoletes xfce-backdrop.patch)
* Fix transparent background color (bxo#16380)
* Do not insert hyphens at intra-word line breaks (bxo#16339)
* Translation Updates

==== xfwm4 ====
Version update (4.14.5 -> 4.14.6)
Subpackages: xfwm4-lang

- Update to version 4.14.6
* Add more XErrors traps
* Translation updates

==== yast2-firewall ====
Version update (4.3.8 -> 4.3.9)

- AutoYaST: When no firewall section is defined, write the service
settings according to the proposal (bsc#1178050)
- 4.3.9

==== yast2-installation ====
Version update (4.3.19 -> 4.3.20)

- Write hostname and proxy configuration to the inst-sys when
configured through linuxrc not only during an installation but
also when running an autoinstallation (bsc#1177768)
- 4.3.20
- yupdate - also make /usr/share/icons writable by default
(needed for updating yast2-theme)

==== yast2-security ====
Version update (4.3.3 -> 4.3.4)

- AY-Import: Translate <enable_sysrq> setting to <kernel.sysrq>
with the correct value format (bsc#1177720).
- 4.3.4

==== zypp-plugin ====

- singlespec in Tumbleweed must support multiple python3 flavors
in the future gh#openSUSE/python-rpm-macros#66


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages